commit 6b331d5834d12bdda21857cd6fffac17038ce3c7
Author: Ruben Jenster <r.jenster@drachenfels.de>
Date:   Thu Nov 3 21:38:15 2022 +0000

    Fix $reccipients after ${run...}.  Bug 2929
    
    Broken-by: cfe6acff2d

diff --git a/src/src/transport.c b/src/src/transport.c
index cce1c46ae..7477882cb 100644
--- a/src/src/transport.c
+++ b/src/src/transport.c
@@ -2344,9 +2344,10 @@ if (expand_arguments)
     else
       {
       const uschar *expanded_arg;
+      BOOL enable_dollar_recipients_g = f.enable_dollar_recipients;
       f.enable_dollar_recipients = allow_dollar_recipients;
       expanded_arg = expand_cstring(argv[i]);
-      f.enable_dollar_recipients = FALSE;
+      f.enable_dollar_recipients = enable_dollar_recipients_g;
 
       if (!expanded_arg)
         {

